VTK: vtkTemporalFractal Class Reference

| VTK 9.3.1

Protected Member Functions | Protected Attributes | List of all members
vtkTemporalFractal Class Reference

A source to test AMR data object. More...

`#include <vtkTemporalFractal.h>`

Inheritance diagram for vtkTemporalFractal:
[legend]
Collaboration diagram for vtkTemporalFractal:
[legend]

## Public Member Functions
virtual void | SetFractalValue (float)
| Essentially the iso surface value. More...
virtual float | GetFractalValue ()
| Essentially the iso surface value. More...
virtual void | SetMaximumLevel (int)
| Any blocks touching a predefined line will be subdivided to this level. More...
virtual int | GetMaximumLevel ()
| Any blocks touching a predefined line will be subdivided to this level. More...
virtual void | SetDimensions (int)
| XYZ dimensions of cells. More...
virtual int | GetDimensions ()
| XYZ dimensions of cells. More...
virtual void | SetGhostLevels (vtkTypeBool)
| For testing ghost levels. More...
virtual vtkTypeBool | GetGhostLevels ()
| For testing ghost levels. More...
virtual void | GhostLevelsOn ()
| For testing ghost levels. More...
virtual void | GhostLevelsOff ()
| For testing ghost levels. More...
virtual void | SetGenerateRectilinearGrids (vtkTypeBool)
| Generate either rectilinear grids either uniform grids. More...
virtual vtkTypeBool | GetGenerateRectilinearGrids ()
| Generate either rectilinear grids either uniform grids. More...
virtual void | GenerateRectilinearGridsOn ()
| Generate either rectilinear grids either uniform grids. More...
virtual void | GenerateRectilinearGridsOff ()
| Generate either rectilinear grids either uniform grids. More...
virtual void | SetDiscreteTimeSteps (vtkTypeBool)
| Limit this source to discrete integer time steps Default is off (continuous) More...
virtual vtkTypeBool | GetDiscreteTimeSteps ()
| Limit this source to discrete integer time steps Default is off (continuous) More...
virtual void | DiscreteTimeStepsOn ()
| Limit this source to discrete integer time steps Default is off (continuous) More...
virtual void | DiscreteTimeStepsOff ()
| Limit this source to discrete integer time steps Default is off (continuous) More...
virtual void | SetTwoDimensional (vtkTypeBool)
| Make a 2D data set to test. More...
virtual vtkTypeBool | GetTwoDimensional ()
| Make a 2D data set to test. More...
virtual void | TwoDimensionalOn ()
| Make a 2D data set to test. More...
virtual void | TwoDimensionalOff ()
| Make a 2D data set to test. More...
virtual void | SetAsymmetric (int)
| Test the case when the blocks do not have the same sizes. More...
virtual int | GetAsymmetric ()
| Test the case when the blocks do not have the same sizes. More...
virtual void | SetAdaptiveSubdivision (vtkTypeBool)
| Make the division adaptive or not, defaults to Adaptive. More...
virtual vtkTypeBool | GetAdaptiveSubdivision ()
| Make the division adaptive or not, defaults to Adaptive. More...
virtual void | AdaptiveSubdivisionOn ()
| Make the division adaptive or not, defaults to Adaptive. More...
virtual void | AdaptiveSubdivisionOff ()
| Make the division adaptive or not, defaults to Adaptive. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Protected Member Functions
| vtkTemporalFractal ()
| ~vtkTemporalFractal () override
int | FillOutputPortInformation (int vtkNotUsed(port), vtkInformation *info) override
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
| see vtkAlgorithm for details More...
virtual int | RequestDataObject (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called by the superclass. More...
virtual int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| This is called by the superclass. More...
void | Traverse (int &blockId, int level, vtkDataObject *output, int x0, int x1, int y0, int y1, int z0, int z1, int onFace[6])
int | LineTest2 (float x0, float y0, float z0, float x1, float y1, float z1, double bds[6])
int | LineTest (float x0, float y0, float z0, float x1, float y1, float z1, double bds[6], int level, int target)
void | SetBlockInfo (vtkUniformGrid *grid, int level, int *ext, int onFace[6])
void | SetRBlockInfo (vtkRectilinearGrid *grid, int level, int *ext, int onFace[6])
void | AddVectorArray (vtkHierarchicalBoxDataSet *output)
void | AddTestArray (vtkHierarchicalBoxDataSet *output)
void | AddFractalArray (vtkCompositeDataSet *output)
void | AddBlockIdArray (vtkHierarchicalBoxDataSet *output)
void | AddDepthArray (vtkHierarchicalBoxDataSet *output)
void | AddGhostLevelArray (vtkDataSet *grid, int dim[3], int onFace[6])
int | MandelbrotTest (double x, double y)
int | TwoDTest (double bds[6], int level, int target)
void | CellExtentToBounds (int level, int ext[6], double bds[6])
void | ExecuteRectilinearMandelbrot (vtkRectilinearGrid *grid, double *ptr)
double | EvaluateSet (double p[4])
void | GetContinuousIncrements (int extent[6], vtkIdType &incX, vtkIdType &incY, vtkIdType &incZ)
virtual void | SetTopLevelSpacing (double, double, double)
virtual void | SetTopLevelSpacing (double[3])
virtual double * | GetTopLevelSpacing ()
virtual void | GetTopLevelSpacing (double &, double &, double &)
virtual void | GetTopLevelSpacing (double[3])
virtual void | SetTopLevelOrigin (double, double, double)
virtual void | SetTopLevelOrigin (double[3])
virtual double * | GetTopLevelOrigin ()
virtual void | GetTopLevelOrigin (double &, double &, double &)
virtual void | GetTopLevelOrigin (double[3])
void | InternalImageDataCopy (vtkTemporalFractal *src)
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| This is called by the superclass. More...
virtual int | RequestOneTimeStep (vtkCompositeDataSet *output, vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| This is called by the superclass. More...
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual int | FillInputPortInformation (int port, vtkInformation *info)
| Fill the input port information objects for this algorithm. More...
virtual int | FillOutputPortInformation (int port, vtkInformation *info)
| Fill the output port information objects for this algorithm. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | StartBlock
int | EndBlock
int | BlockCount
int | Asymmetric
int | MaximumLevel
int | Dimensions
float | FractalValue
vtkTypeBool | GhostLevels
vtkIntArray * | Levels
vtkTypeBool | TwoDimensional
vtkTypeBool | DiscreteTimeSteps
double | TopLevelSpacing [3]
double | TopLevelOrigin [3]
vtkTypeBool | GenerateRectilinearGrids
double | CurrentTime
vtkTypeBool | AdaptiveSubdivision
vtkSmartPointer< TemporalFractalOutputUtil > | OutputUtil
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkAlgorithm | Superclass
| Standard methods for instantiation, type information, and printing. More...
static vtkTemporalFractal * | New ()
| Standard methods for instantiation, type information, and printing. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instantiation, type information, and printing. More...
static vtkTemporalFractal * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instantiation, type information, and printing. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for instantiation, type information, and printing. More...
vtkTemporalFractal * | NewInstance () const
| Standard methods for instantiation, type information, and printing. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instantiation, type information, and printing. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for instantiation, type information, and printing. More...

## Additional Inherited Members
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

A source to test AMR data object.

vtkTemporalFractal is a collection of uniform grids. All have the same dimensions. Each block has a different origin and spacing. It uses mandelbrot to create cell data. The fractal array is scaled to look like a volume fraction.

I may also add block id and level as extra cell arrays. This source produces a vtkHierarchicalBoxDataSet when GenerateRectilinearGrids is off, otherwise produces a vtkMultiBlockDataSet.

Tests:
  vtkTemporalFractal (Tests)

Definition at line 37 of file vtkTemporalFractal.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAlgorithm vtkTemporalFractal::Superclass

Standard methods for instantiation, type information, and printing.

Definition at line 45 of file vtkTemporalFractal.h.

## Constructor & Destructor Documentation

## ◆ vtkTemporalFractal()

vtkTemporalFractal::vtkTemporalFractal | ( |  | ) |
| protected

## ◆ ~vtkTemporalFractal()

vtkTemporalFractal::~vtkTemporalFractal | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTemporalFractal* vtkTemporalFractal::New | ( |  | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ IsTypeOf()

static vtkTypeBool vtkTemporalFractal::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ IsA()

virtual vtkTypeBool vtkTemporalFractal::IsA | ( | const char * | type | ) |
| virtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAlgorithm.

## ◆ SafeDownCast()

static vtkTemporalFractal* vtkTemporalFractal::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for instantiation, type information, and printing.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTemporalFractal::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAlgorithm.

## ◆ NewInstance()

vtkTemporalFractal* vtkTemporalFractal::NewInstance | ( |  | ) | const

Standard methods for instantiation, type information, and printing.

## ◆ PrintSelf()

void vtkTemporalFractal::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for instantiation, type information, and printing.

Reimplemented from vtkAlgorithm.

## ◆ SetFractalValue()

virtual void vtkTemporalFractal::SetFractalValue | ( | float |  | ) |
| virtual

Essentially the iso surface value.

The fractal array is scaled to map this value to 0.5 for use as a volume fraction.

## ◆ GetFractalValue()

virtual float vtkTemporalFractal::GetFractalValue | ( |  | ) |
| virtual

Essentially the iso surface value.

The fractal array is scaled to map this value to 0.5 for use as a volume fraction.

## ◆ SetMaximumLevel()

virtual void vtkTemporalFractal::SetMaximumLevel | ( | int |  | ) |
| virtual

Any blocks touching a predefined line will be subdivided to this level.

Other blocks are subdivided so that neighboring blocks only differ by one level.

## ◆ GetMaximumLevel()

virtual int vtkTemporalFractal::GetMaximumLevel | ( |  | ) |
| virtual

Any blocks touching a predefined line will be subdivided to this level.

Other blocks are subdivided so that neighboring blocks only differ by one level.

## ◆ SetDimensions()

virtual void vtkTemporalFractal::SetDimensions | ( | int |  | ) |
| virtual

XYZ dimensions of cells.

## ◆ GetDimensions()

virtual int vtkTemporalFractal::GetDimensions | ( |  | ) |
| virtual

XYZ dimensions of cells.

## ◆ SetGhostLevels()

virtual void vtkTemporalFractal::SetGhostLevels | ( | vtkTypeBool |  | ) |
| virtual

For testing ghost levels.

## ◆ GetGhostLevels()

virtual vtkTypeBool vtkTemporalFractal::GetGhostLevels | ( |  | ) |
| virtual

For testing ghost levels.

## ◆ GhostLevelsOn()

virtual void vtkTemporalFractal::GhostLevelsOn | ( |  | ) |
| virtual

For testing ghost levels.

## ◆ GhostLevelsOff()

virtual void vtkTemporalFractal::GhostLevelsOff | ( |  | ) |
| virtual

For testing ghost levels.

## ◆ SetGenerateRectilinearGrids()

virtual void vtkTemporalFractal::SetGenerateRectilinearGrids | ( | vtkTypeBool |  | ) |
| virtual

Generate either rectilinear grids either uniform grids.

Default is false.

## ◆ GetGenerateRectilinearGrids()

virtual vtkTypeBool vtkTemporalFractal::GetGenerateRectilinearGrids | ( |  | ) |
| virtual

Generate either rectilinear grids either uniform grids.

Default is false.

## ◆ GenerateRectilinearGridsOn()

virtual void vtkTemporalFractal::GenerateRectilinearGridsOn | ( |  | ) |
| virtual

Generate either rectilinear grids either uniform grids.

Default is false.

## ◆ GenerateRectilinearGridsOff()

virtual void vtkTemporalFractal::GenerateRectilinearGridsOff | ( |  | ) |
| virtual

Generate either rectilinear grids either uniform grids.

Default is false.

## ◆ SetDiscreteTimeSteps()

virtual void vtkTemporalFractal::SetDiscreteTimeSteps | ( | vtkTypeBool |  | ) |
| virtual

Limit this source to discrete integer time steps Default is off (continuous)

## ◆ GetDiscreteTimeSteps()

virtual vtkTypeBool vtkTemporalFractal::GetDiscreteTimeSteps | ( |  | ) |
| virtual

Limit this source to discrete integer time steps Default is off (continuous)

## ◆ DiscreteTimeStepsOn()

virtual void vtkTemporalFractal::DiscreteTimeStepsOn | ( |  | ) |
| virtual

Limit this source to discrete integer time steps Default is off (continuous)

## ◆ DiscreteTimeStepsOff()

virtual void vtkTemporalFractal::DiscreteTimeStepsOff | ( |  | ) |
| virtual

Limit this source to discrete integer time steps Default is off (continuous)

## ◆ SetTwoDimensional()

virtual void vtkTemporalFractal::SetTwoDimensional | ( | vtkTypeBool |  | ) |
| virtual

Make a 2D data set to test.

## ◆ GetTwoDimensional()

virtual vtkTypeBool vtkTemporalFractal::GetTwoDimensional | ( |  | ) |
| virtual

Make a 2D data set to test.

## ◆ TwoDimensionalOn()

virtual void vtkTemporalFractal::TwoDimensionalOn | ( |  | ) |
| virtual

Make a 2D data set to test.

## ◆ TwoDimensionalOff()

virtual void vtkTemporalFractal::TwoDimensionalOff | ( |  | ) |
| virtual

Make a 2D data set to test.

## ◆ SetAsymmetric()

virtual void vtkTemporalFractal::SetAsymmetric | ( | int |  | ) |
| virtual

Test the case when the blocks do not have the same sizes.

Adds 2 to the x extent of the far x blocks (level 1).

## ◆ GetAsymmetric()

virtual int vtkTemporalFractal::GetAsymmetric | ( |  | ) |
| virtual

Test the case when the blocks do not have the same sizes.

Adds 2 to the x extent of the far x blocks (level 1).

## ◆ SetAdaptiveSubdivision()

virtual void vtkTemporalFractal::SetAdaptiveSubdivision | ( | vtkTypeBool |  | ) |
| virtual

Make the division adaptive or not, defaults to Adaptive.

## ◆ GetAdaptiveSubdivision()

virtual vtkTypeBool vtkTemporalFractal::GetAdaptiveSubdivision | ( |  | ) |
| virtual

Make the division adaptive or not, defaults to Adaptive.

## ◆ AdaptiveSubdivisionOn()

virtual void vtkTemporalFractal::AdaptiveSubdivisionOn | ( |  | ) |
| virtual

Make the division adaptive or not, defaults to Adaptive.

## ◆ AdaptiveSubdivisionOff()

virtual void vtkTemporalFractal::AdaptiveSubdivisionOff | ( |  | ) |
| virtual

Make the division adaptive or not, defaults to Adaptive.

## ◆ FillOutputPortInformation()

int vtkTemporalFractal::FillOutputPortInformation | ( | int | vtkNotUsedport,
|  | vtkInformation * | info
| ) |  |
| overrideprotected

## ◆ ProcessRequest()

vtkTypeBool vtkTemporalFractal::ProcessRequest | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| overrideprotectedvirtual

see vtkAlgorithm for details

Reimplemented from vtkAlgorithm.

## ◆ RequestDataObject()

virtual int vtkTemporalFractal::RequestDataObject | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * |
| ) |  |
| protectedvirtual

This is called by the superclass.

This is the method you should override.

## ◆ RequestInformation()

virtual int vtkTemporalFractal::RequestInformation | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| protectedvirtual

This is called by the superclass.

This is the method you should override.

## ◆ RequestData()

virtual int vtkTemporalFractal::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| protectedvirtual

This is called by the superclass.

This is the method you should override.

## ◆ RequestOneTimeStep()

virtual int vtkTemporalFractal::RequestOneTimeStep | ( | vtkCompositeDataSet * | output,
|  | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| protectedvirtual

This is called by the superclass.

This is the method you should override.

## ◆ Traverse()

void vtkTemporalFractal::Traverse | ( | int & | blockId,
|  | int | level,
|  | vtkDataObject * | output,
|  | int | x0,
|  | int | x1,
|  | int | y0,
|  | int | y1,
|  | int | z0,
|  | int | z1,
|  | int | onFace[6]
| ) |  |
| protected

## ◆ LineTest2()

int vtkTemporalFractal::LineTest2 | ( | float | x0,
|  | float | y0,
|  | float | z0,
|  | float | x1,
|  | float | y1,
|  | float | z1,
|  | double | bds[6]
| ) |  |
| protected

## ◆ LineTest()

int vtkTemporalFractal::LineTest | ( | float | x0,
|  | float | y0,
|  | float | z0,
|  | float | x1,
|  | float | y1,
|  | float | z1,
|  | double | bds[6],
|  | int | level,
|  | int | target
| ) |  |
| protected

## ◆ SetBlockInfo()

void vtkTemporalFractal::SetBlockInfo | ( | vtkUniformGrid * | grid,
|  | int | level,
|  | int * | ext,
|  | int | onFace[6]
| ) |  |
| protected

## ◆ SetRBlockInfo()

void vtkTemporalFractal::SetRBlockInfo | ( | vtkRectilinearGrid * | grid,
|  | int | level,
|  | int * | ext,
|  | int | onFace[6]
| ) |  |
| protected

## ◆ AddVectorArray()

void vtkTemporalFractal::AddVectorArray | ( | vtkHierarchicalBoxDataSet * | output | ) |
| protected

## ◆ AddTestArray()

void vtkTemporalFractal::AddTestArray | ( | vtkHierarchicalBoxDataSet * | output | ) |
| protected

## ◆ AddFractalArray()

void vtkTemporalFractal::AddFractalArray | ( | vtkCompositeDataSet * | output | ) |
| protected

## ◆ AddBlockIdArray()

void vtkTemporalFractal::AddBlockIdArray | ( | vtkHierarchicalBoxDataSet * | output | ) |
| protected

## ◆ AddDepthArray()

void vtkTemporalFractal::AddDepthArray | ( | vtkHierarchicalBoxDataSet * | output | ) |
| protected

## ◆ AddGhostLevelArray()

void vtkTemporalFractal::AddGhostLevelArray | ( | vtkDataSet * | grid,
|  | int | dim[3],
|  | int | onFace[6]
| ) |  |
| protected

## ◆ MandelbrotTest()

int vtkTemporalFractal::MandelbrotTest | ( | double | x,
|  | double | y
| ) |  |
| protected

## ◆ TwoDTest()

int vtkTemporalFractal::TwoDTest | ( | double | bds[6],
|  | int | level,
|  | int | target
| ) |  |
| protected

## ◆ CellExtentToBounds()

void vtkTemporalFractal::CellExtentToBounds | ( | int | level,
|  | int | ext[6],
|  | double | bds[6]
| ) |  |
| protected

## ◆ ExecuteRectilinearMandelbrot()

void vtkTemporalFractal::ExecuteRectilinearMandelbrot | ( | vtkRectilinearGrid * | grid,
|  | double * | ptr
| ) |  |
| protected

## ◆ EvaluateSet()

double vtkTemporalFractal::EvaluateSet | ( | double | p[4] | ) |
| protected

## ◆ GetContinuousIncrements()

void vtkTemporalFractal::GetContinuousIncrements | ( | int | extent[6],
|  | vtkIdType & | incX,
|  | vtkIdType & | incY,
|  | vtkIdType & | incZ
| ) |  |
| protected

## ◆ SetTopLevelSpacing() [1/2]

virtual void vtkTemporalFractal::SetTopLevelSpacing | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| protectedvirtual

## ◆ SetTopLevelSpacing() [2/2]

virtual void vtkTemporalFractal::SetTopLevelSpacing | ( | double | [3] | ) |
| protectedvirtual

## ◆ GetTopLevelSpacing() [1/3]

virtual double* vtkTemporalFractal::GetTopLevelSpacing | ( |  | ) |
| protectedvirtual

## ◆ GetTopLevelSpacing() [2/3]

virtual void vtkTemporalFractal::GetTopLevelSpacing | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| protectedvirtual

## ◆ GetTopLevelSpacing() [3/3]

virtual void vtkTemporalFractal::GetTopLevelSpacing | ( | double | [3] | ) |
| protectedvirtual

## ◆ SetTopLevelOrigin() [1/2]

virtual void vtkTemporalFractal::SetTopLevelOrigin | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| protectedvirtual

## ◆ SetTopLevelOrigin() [2/2]

virtual void vtkTemporalFractal::SetTopLevelOrigin | ( | double | [3] | ) |
| protectedvirtual

## ◆ GetTopLevelOrigin() [1/3]

virtual double* vtkTemporalFractal::GetTopLevelOrigin | ( |  | ) |
| protectedvirtual

## ◆ GetTopLevelOrigin() [2/3]

virtual void vtkTemporalFractal::GetTopLevelOrigin | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| protectedvirtual

## ◆ GetTopLevelOrigin() [3/3]

virtual void vtkTemporalFractal::GetTopLevelOrigin | ( | double | [3] | ) |
| protectedvirtual

## ◆ InternalImageDataCopy()

void vtkTemporalFractal::InternalImageDataCopy | ( | vtkTemporalFractal * | src | ) |
| protected

## Member Data Documentation

## ◆ StartBlock

int vtkTemporalFractal::StartBlock
| protected

Definition at line 138 of file vtkTemporalFractal.h.

## ◆ EndBlock

int vtkTemporalFractal::EndBlock
| protected

Definition at line 139 of file vtkTemporalFractal.h.

## ◆ BlockCount

int vtkTemporalFractal::BlockCount
| protected

Definition at line 140 of file vtkTemporalFractal.h.

## ◆ Asymmetric

int vtkTemporalFractal::Asymmetric
| protected

Definition at line 209 of file vtkTemporalFractal.h.

## ◆ MaximumLevel

int vtkTemporalFractal::MaximumLevel
| protected

Definition at line 210 of file vtkTemporalFractal.h.

## ◆ Dimensions

int vtkTemporalFractal::Dimensions
| protected

Definition at line 211 of file vtkTemporalFractal.h.

## ◆ FractalValue

float vtkTemporalFractal::FractalValue
| protected

Definition at line 212 of file vtkTemporalFractal.h.

## ◆ GhostLevels

vtkTypeBool vtkTemporalFractal::GhostLevels
| protected

Definition at line 213 of file vtkTemporalFractal.h.

## ◆ Levels

vtkIntArray* vtkTemporalFractal::Levels
| protected

Definition at line 214 of file vtkTemporalFractal.h.

## ◆ TwoDimensional

vtkTypeBool vtkTemporalFractal::TwoDimensional
| protected

Definition at line 215 of file vtkTemporalFractal.h.

## ◆ DiscreteTimeSteps

vtkTypeBool vtkTemporalFractal::DiscreteTimeSteps
| protected

Definition at line 216 of file vtkTemporalFractal.h.

## ◆ TopLevelSpacing

double vtkTemporalFractal::TopLevelSpacing[3]
| protected

Definition at line 219 of file vtkTemporalFractal.h.

## ◆ TopLevelOrigin

double vtkTemporalFractal::TopLevelOrigin[3]
| protected

Definition at line 220 of file vtkTemporalFractal.h.

## ◆ GenerateRectilinearGrids

vtkTypeBool vtkTemporalFractal::GenerateRectilinearGrids
| protected

Definition at line 222 of file vtkTemporalFractal.h.

## ◆ CurrentTime

double vtkTemporalFractal::CurrentTime
| protected

Definition at line 224 of file vtkTemporalFractal.h.

## ◆ AdaptiveSubdivision

vtkTypeBool vtkTemporalFractal::AdaptiveSubdivision
| protected

Definition at line 226 of file vtkTemporalFractal.h.

## ◆ OutputUtil

vtkSmartPointer<TemporalFractalOutputUtil> vtkTemporalFractal::OutputUtil
| protected

Definition at line 227 of file vtkTemporalFractal.h.

The documentation for this class was generated from the following file:

- Filters/Hybrid/vtkTemporalFractal.h